Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Pre-Authorization Extensions


A pre-authorization extension is a follow-up to a pre-authorization that keeps the hold in place for another 14 days. This gives you a maximum hold of 28 days in total. You are allowed to send only one extension for each pre-authorization. For Mastercard and Visa cards, you can also change the held amount when you request the extension. For mada cards, you can only extend the hold time, not adjust the amount.

Supported Processor

  • National Payment Gateway

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

This example shows a pre-authorization extension with a zero amount.

{  "clientReferenceInformation" : {    "code" : "Test"  },  "processingInformation" : {    "authorizationOptions" : {      "extendAuthIndicator" : "true"    },    "originalPaymentId" : "7429112613411234567890"  },  "orderInformation" : {    "amountDetails" : {      "totalAmount" : "0",      "currency" : "SAR"    }  }}
{  "orderInformation": {    "amountDetails": {      "totalAmount": "100.00",      "currency": "SAR",      "authorizedAmount": "0.00"    }  },  "processorInformation": {    "paymentAccountReferenceNumber": "KUMsXUeemNQ4ylkiiOBhP8TfQUgFX",    "approvalCode": "830SPG",    "retrievalReferenceNumber": "424009035276",    "responseCode": "00",    "settlementDate": "260915"  },  "_links": {    "capture": {      "method": "POST",      "href": "/pts/v2/payments/7247511738451234567890/captures"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/7247511926041234567890"    }  },  "clientReferenceInformation": {    "code": "TC_SPG_REQUEST_PB-64"  },  "consumerAuthenticationInformation": {    "token": "7247511926041234567890"  },  "reconciliationId": "7247511738451234567890",  "status": "AUTHORIZED",  "id": "7247511926041234567890",  "submitTimeUtc": "2026-08-27T09:33:13Z"}

Required Fields

FieldDescription
clientReferenceInformation.codeOrder reference or tracking number. Provide a unique value for each transaction so that you can perform meaningful searches for the transaction.
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
processingInformation.authorizationOptions.extendAuthIndicatorSet the value to true.
processingInformation.originalPaymentIdSet the value to the request ID of the pre-authorization.

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.